{
  lib,
  config,
  ...
}: let
  inherit (lib) mkEnableOption mkIf;
  cfg = config.horseman.network.printing;
in {
  options = {
    horseman.network.printing = {
      enable = mkEnableOption "Turns on standard printing config";
    };
  };

  config = mkIf cfg.enable {
    services.printing.enable = true;

    services.avahi = {
      enable = true;
      nssmdns4 = true;
      openFirewall = true;
    };
  };
}
